Bug 793726 - Review the functionality that allows Portlet Event and Public Render Parameter to be propagated to portlets on different pages.
Summary: Review the functionality that allows Portlet Event and Public Render Paramete...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR01
: 6.2.0
Assignee: Lucas Ponce
QA Contact: Martin Vecera
URL: http://jira.jboss.org/jira/browse/JBE...
Whiteboard: portal_6_2_0_Candidate
: JBEPP-797 (view as bug list)
Depends On:
Blocks: 1072145 1072173
TreeView+ depends on / blocked
 
Reported: 2011-02-09 21:24 UTC by Gary Hu
Modified: 2018-01-30 01:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Public render parameters in portlets are now supported through portal URLs. Public render parameters were previously shared between pages but there was no support from Portal URLs. Public render parameter can now be passed to portlets through a Portal URL.
Clone Of: JBEPP-797
: 1072145 1072173 (view as bug list)
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3362 Major Resolved Add examples for Inter Portlet Communication 2017-03-17 14:39:56 UTC
JBoss Issue Tracker GTNPORTAL-3369 Major Resolved Add Public Render Parameter support at URL level 2017-03-17 14:39:56 UTC
JBoss Issue Tracker JBEPP-797 Major Closed Re-evalute the functionality that allows Portlet Event and Public Render Parameter to be propagated to portlets on diffe... 2017-03-17 14:39:56 UTC

Description Gary Hu 2011-02-09 21:24:54 UTC
++ This bug is a clone of bug 793724 ++

project_key: JBEPP

The current implementation of EPP 4.3 and 5.x doesn't enable the Portlet Event to be propagated to portlets that are on different pages. The Public Render Parameter seems to be work that way possibly because of some unexpected side effects. 

We've seen some needs from the customers, especially coming from IBM/Oracle portals where the similar functionality is available. Can we re-evaluate this functionality to see if we can make it available in our future release?

Comment 2 Jared MORGAN 2011-11-16 23:52:22 UTC
Release Notes Docs Status: Added: Not Required
Primary SME: Added: theute


Comment 3 hfnukal@redhat.com 2012-01-16 12:47:50 UTC
Labels: Added: EPP_6_0_0_Candidate


Comment 4 Thomas Heute 2012-09-03 11:29:52 UTC
*** Bug 793724 has been marked as a duplicate of this bug. ***

Comment 6 Boleslaw Dawidowicz 2013-07-26 09:35:39 UTC
This one needs to be investigated - not sure if events are duable in current situation however we should consider supporting passing public render parameters

Comment 7 Lucas Ponce 2014-01-14 13:54:16 UTC
According specification about Events:

PLT.15.2.5 Event Processing:

"Events are valid only in the current client request and the portlet container must therefore deliver all events within the current client request. [...]"

So, a modification to share Events between pages should force to break specification if we try to apply a change inside PortletContainer.

A valid workaround for this use case can be to use EventFilter interface and share Events through PortletSession object as several requests are needed.

The use case described in the BZ (applications migrated from IBM/Oracle to JPP) can be achieved adding a helper Filter that shares Events across requests.

About Public Render Parameters:

Public Render Parameters are saved at container level, so by default there are shared between requests in the current version, so public render parameters can be shared between pages by default.

Comment 8 Peter Palaga 2014-01-15 16:09:48 UTC
Fixed in GateIn master (3.7.x).

Comment 9 Lucas Ponce 2014-01-15 16:14:48 UTC
We are evaluating if we can also add Public Render Parameters support at URL level.

I change to ASSIGN status to report progress in this BZ.

Comment 10 Lucas Ponce 2014-01-21 14:24:56 UTC
Sent patch to support public render parameters from URL with propagation between pages.

Comment 11 Peter Palaga 2014-02-14 11:58:41 UTC
The patch named in Comment #10 was merged in upstream.


Note You need to log in before you can comment on or make changes to this bug.